Bug 608733 (CVE-2010-2444) - CVE-2010-2444 MaraDNS: DoS (NULL pointer dereference) via specially-crafted csv2 zone file
Summary: CVE-2010-2444 MaraDNS: DoS (NULL pointer dereference) via specially-crafted c...
Status: CLOSED CURRENTRELEASE
Alias: CVE-2010-2444
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: public=20100604,reported=20100604,sou...
Keywords: Security
Depends On: 600738 600739 600740 600741
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-28 15:12 UTC by Jan Lieskovsky
Modified: 2016-03-04 11:49 UTC (History)
1 user (show)

Fixed In Version: maradns 1.4.03, maradns 1.3.07.10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-02 17:17:50 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jan Lieskovsky 2010-06-28 15:12:54 UTC
Common Vulnerabilities and Exposures assigned an identifier CVE-2010-2444 to
the following vulnerability:

parse/Csv2_parse.c in MaraDNS 1.3.03, and other versions before
1.4.03, does not properly handle hostnames that do not end in a "."
(dot) character, which allows remote attackers to cause a denial of
service (NULL pointer dereference) via a crafted csv2 zone file.

References:
  [1] http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2010-2444
  [2] http://www.openwall.com/lists/oss-security/2010/06/09/4
  [3] http://www.openwall.com/lists/oss-security/2010/06/24/5
  [4] http://maradns.org/download/maradns-1.4.02-parse_segfault.patch

Comment 1 Vincent Danen 2013-08-02 17:17:50 UTC
This issue is resolved in Fedora, however EPEL5 is still vulnerable.  The tracking bug for EPEL5 will remain open, but this bug can be closed.


Note You need to log in before you can comment on or make changes to this bug.